# @knime/kds-components

Vue components library for the KNIME Design System.

## Installation

```bash
pnpm add @knime/kds-components
```

## Usage

TODO: fill once better examples are available, also explain how to set up using @knime/kds-styles

```vue
<script setup>
import { Icon } from "@knime/kds-components";
</script>

<template>
  <Icon name="checkmark" size="large" />
</template>
```

## Available Components

- **Button**: Basic button component
- **Icon**: Icon component with various KNIME icons
- **DataType**: DataType component rendering a data type icon inside a box

## Development

### Building

```bash
pnpm build
```

## License

GPL 3 and Additional Permissions according to Sec. 7 (SEE the file LICENSE)
